import affirmative from './affirmative';
import alpha from './alpha';
import alphaNumeric from './alphaNumeric';
import creditCard from './creditCard';
import email from './email';
import negatory from './negatory';
import numeric from './numeric';
import socialSecurity from './socialSecurity';
import url from './url';
import value from './value';
import zipCode from './zipCode';
import zipCodeLong from './zipCodeLong';
declare const valid: {
    affirmative: typeof affirmative;
    alpha: typeof alpha;
    alphaNumeric: typeof alphaNumeric;
    card: {
        generic: typeof creditCard;
        visa: (s: string) => boolean;
        mastercard: (s: string) => boolean;
        amex: (s: string) => boolean;
        carteBlanche: (s: string) => boolean;
        dinersClub: (s: string) => boolean;
        discover: (s: string) => boolean;
        jcb: (s: string) => boolean;
        lasercard: (s: string) => boolean;
        maestro: (s: string) => boolean;
        solo: (s: string) => boolean;
        unionpay: (s: string) => boolean;
    };
    creditCard: typeof creditCard;
    email: typeof email;
    negatory: typeof negatory;
    numeric: typeof numeric;
    socialSecurity: typeof socialSecurity;
    url: typeof url;
    value: typeof value;
    zipCode: typeof zipCode;
    zipCodeLong: typeof zipCodeLong;
};
export default valid;
